--- chan_zap.c.egnarf-v2	2004-08-10 14:40:42.000000000 +0200
+++ chan_zap.c	2004-08-10 16:51:50.000000000 +0200
@@ -5492,6 +5492,27 @@
 				"polarity reversal on non-FXO (SIG_FXS) "
 				"interface %d\n", i->channel);
 		}
+        case ZT_EVENT_DTMFCLIP:
+                switch(i->sig) {
+                case SIG_FXSLS:
+                case SIG_FXSKS:
+                case SIG_FXSGS:
+                        if (i->use_callerid == CIDTYPE_DTMF) {
+                                ast_verbose(VERBOSE_PREFIX_2 "Starting DTMF "
+                                            "CLIP listener on channel %d\n",
+                                            i->channel);
+                                chan = zt_new(i, AST_STATE_PRERING, 0, SUB_REAL, 0, 0);
+                                if (chan && ast_pthread_create(&threadid, &attr, ss_thread, chan)) {
+                                        ast_log(LOG_WARNING, "Unable to start simple switch thread on channel %d\n", i->channel);
+                                }
+                        }
+                        break;
+                default:
+                        ast_log(LOG_WARNING, "handle_init_event detected "
+                                "DTMF CLIP listener on non-FXO (SIG_FXS) "
+                                "interface %d (%s)\n", i->channel, sig2str(i->sig));
+                }
+
 	}
 	return 0;
 }
